Gantry::Utils::Threeway(3)

NAME
Gantry::Utils::Threeway - Form processing util for a three-way join

SYNOPSIS
    sub do_something {

        my( $self, $blog_id ) = @_;

        my $threeway = Gantry::Utils::Threeway->new( {
            self            => $self,
            primary_id      => $blog_id,
            primary_table   => 'blog',
            join_table      => 'blog_tag',
            legend          => 'Add Tags',
            orderby         => 'id',
            secondary_table => 'tag'
        } );

        $threeway->process();

    }

DESCRIPTION
This module is a utillity to help process the three-way join tables.

METHODS

new Standard constructor, call it first.

    Requires the following parameters

        self             # gantry site object
        primary_id       # the row id for which your adding the relationships to
        primary_table    # the primary table
        join_table       # the join table is where the relationship rows are stored
        secondary_table  # table in which your're relating to

    Optional parameters

        legend        # form legend
        order_by      # sort list by this field
        redirect_loc  # redirect location for on submit or cancel

process()
    preforms the CRUD like procedures for maintaining the three-way relationships.

SEE ALSO
Gantry(3)

LIMITATIONS
This module depends on Gantry(3)

AUTHOR
Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005-7, Tim Keefer.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.